Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "omnis",
"vat_number": "aliquid",
"first_name": "ozodbspvpeamhjxiqp",
"last_name": "vjurrvwix",
"company_name": "jzsownjgx",
"company_code": "neozbpfavqkkd",
"line_one": "cofimzvpd",
"line_two": "vrtcwet",
"line_three": "ckihroigi",
"city": "ilxwsdnlbwvytaawwo",
"province_code": "jjpjopnpgfckrsusjqrd",
"postcode": "ktuh",
"contact_email": "[email protected]",
"contact_phone": "jfjlexnewcauvhbudw"
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/addresses"
payload = {
"country_code": "omnis",
"vat_number": "aliquid",
"first_name": "ozodbspvpeamhjxiqp",
"last_name": "vjurrvwix",
"company_name": "jzsownjgx",
"company_code": "neozbpfavqkkd",
"line_one": "cofimzvpd",
"line_two": "vrtcwet",
"line_three": "ckihroigi",
"city": "ilxwsdnlbwvytaawwo",
"province_code": "jjpjopnpgfckrsusjqrd",
"postcode": "ktuh",
"contact_email": "[email protected]",
"contact_phone": "jfjlexnewcauvhbudw"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: 'omnis',
vat_number: 'aliquid',
first_name: 'ozodbspvpeamhjxiqp',
last_name: 'vjurrvwix',
company_name: 'jzsownjgx',
company_code: 'neozbpfavqkkd',
line_one: 'cofimzvpd',
line_two: 'vrtcwet',
line_three: 'ckihroigi',
city: 'ilxwsdnlbwvytaawwo',
province_code: 'jjpjopnpgfckrsusjqrd',
postcode: 'ktuh',
contact_email: '[email protected]',
contact_phone: 'jfjlexnewcauvhbudw'
})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "a13651d2-6ec1-4ab8-a3fd-21a149e06102",
"first_name": "Ellis",
"last_name": "Hessel",
"company_name": "Cummerata, Zemlak and Kihn",
"vat_number": "perspiciatis",
"vat_validation_status": "invalid",
"vat_validated_at": "2026-03-03T14:05:30.0000000+00:00",
"line_one": "303 Moore Islands Suite 472",
"line_two": "32365 Heller Village Apt. 121",
"line_three": "80180 Pfannerstill Corner Suite 283",
"city": "Mullerview",
"province_code": "PH",
"country_code": "MN",
"postcode": "82907-5463",
"contact_email": "[email protected]",
"contact_phone": "502-831-9502",
"company_code": "18208560"
}
}Create a single Address.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
The code of an existing record in the countries table.
"omnis"
Must match the regex /^[A-Za-z0-9.()[],'"_/@&!*+-, ]+$/. Must not be greater than 150 characters.
"jzsownjgx"
Must be at least 2 characters. Must not be greater than 100 characters.
"cofimzvpd"
Must not be greater than 90 characters.
"ilxwsdnlbwvytaawwo"
Must not be greater than 20 characters.
"ktuh"
"aliquid"
Must not be greater than 20 characters.
"ozodbspvpeamhjxiqp"
Must not be greater than 30 characters.
"vjurrvwix"
Must be at least 3 characters. Must not be greater than 20 characters.
"neozbpfavqkkd"
Must not be greater than 100 characters.
"vrtcwet"
Must not be greater than 100 characters.
"ckihroigi"
The code of an existing record in the provinces table. Must not be greater than 20 characters.
"jjpjopnpgfckrsusjqrd"
Must be a valid email address. Must not be greater than 255 characters.
Must not be greater than 20 characters.
"jfjlexnewcauvhbudw"
Show child attributes